Unable to install (auto) updates

I just got a system notification that updates are available but when I click on install, I get an error saying propper authorisation was not provided.
How can I fix this?
One thing I notice didn’t happen was, I was not asked for the password.

Try running:

sudo apt-get install polkit-kde-1

then reboot.

tried that, I get.

pooky2483@pooky2483-Kubuntu-14:~$ sudo apt-get install polkit-kde-1
[sudo] password for pooky2483:
Reading package lists… Done
Building dependency tree
Reading state information… Done
polkit-kde-1 is already the newest version.
0 to upgrade, 0 to newly install, 0 to remove and 18 not to upgrade.
pooky2483@pooky2483-Kubuntu-14:~$

Does Muon open and run properly and are you able to update if you run?

kdesudo muon

Otherwise try forcing the updates:

sudo apt-get -f install

Still unable

pooky2483@pooky2483-Kubuntu-14:~$ kdesudo muon [then I get the ‘ding’ sound]
pooky2483@pooky2483-Kubuntu-14:~$ sudo apt-get -f install
Reading package lists… Done
Building dependency tree
Reading state information… Done
0 to upgrade, 0 to newly install, 0 to remove and 18 not to upgrade.
pooky2483@pooky2483-Kubuntu-14:~$

Try killing qtapworker:

sudo pkill -9 qaptworker2

This seems to be a bug (see here)

Thanks, this worked and updated the system

sudo apt-get update
sudo apt-get upgrade

The guys problem appears self inflicted as he wrote a short script/program and forgot about it.

I’ll let you know if the problem comes back…